# Note:  The tests for this perl dist. are disabled by default, as they
# require network access and would thus fail in the buildsys' mock
# environments.  To build locally while enabling tests, either:
#
#   rpmbuild ... --define '_with_network_tests 1' ...
#   rpmbuild ... --with network_tests ...
#   define _with_network_tests 1 in your ~/.rpmmacros
#
# Note that right now, the only way to run tests locally from a cvs sandbox
# "make noarch" type scenario is the third one.

Name:           perl-POE-Component-Client-HTTP
Version:        0.895
Release:        1%{?dist}
Summary:        A non-blocking/parallel web requests engine for POE

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/POE-Component-Client-HTTP
Source0:        http://search.cpan.org/CPAN/authors/id/R/RC/RCAPUTO/POE-Component-Client-HTTP-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
# Original perl(POE) >= 1.28 rounded to 3 digit precision
BuildRequires:  perl(POE) >= 1.280
BuildRequires:  perl(HTTP::Request) >= 1.3
BuildRequires:  perl(HTTP::Response) >= 1.37
BuildRequires:  perl(URI) >= 1.24
# Original perl(POE::Component::Client::Keepalive) >= 0.261 rounded to
# 4 digit precision
BuildRequires:  perl(POE::Component::Client::Keepalive) >= 0.2610

# tests...
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
BuildRequires:  perl(Test::More)

# use base...
Requires:       perl(POE::Filter), perl(POE::Filter::Stackable)
# use POE qw{ ... }
# Original perl(POE::Component::Client::Keepalive) >= 0.261 rounded to
# 4 digit precision
Requires:       perl(POE::Component::Client::Keepalive) >= 0.2610

Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

### auto-added brs!
BuildRequires:  perl(Test::POE::Server::TCP)
BuildRequires:  perl(Net::HTTP::Methods) >= 0.02

### auto-added reqs!
Requires:       perl(HTTP::Request) >= 1.3
Requires:       perl(HTTP::Response) >= 1.37
Requires:       perl(Net::HTTP::Methods) >= 0.02
# Original perl(POE) >= 1.28 rounded to 3 digit precision
Requires:       perl(POE) >= 1.280
Requires:       perl(URI) >= 1.24

%{?perl_default_filter}

%description
POE::Component::Client::HTTP is an HTTP user-agent for POE. It lets other
sessions run while HTTP transactions are being processed, and it lets several
HTTP transactions be processed in parallel.


%prep
%setup -q -n POE-Component-Client-HTTP-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

cd examples
sed -i '/#!perl/d;s/\r//' pcchget.perl


%check
# we don't have network access during the builds; fortunately these look to be
# the only tests requiring it.  Failing that, the entire suite can be
# disabled.
%{?!_with_network_tests:rm t/01* t/02*}

make test


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc CHANGES* README examples/
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Mon Jun  7 2010 Petr Pisar <ppisar@redhat.com> - 0.895-1
- 0.895 bump (bug #600022)
- Delete removal of missing tests

* Thu May 06 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.890-4
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.890-3
- rebuild against perl 5.10.1

* Wed Sep 30 2009 Stepan Kasal <skasal@redhat.com> 0.890-2
- fix the perl(POE::Component::Client::Keepalive) require
  to match our numbering

* Tue Aug 25 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.890-1
- auto-update to 0.890 (by cpan-spec-update 0.01)
- altered br on perl(POE) (0.3202 => 1.007)
- altered br on perl(POE::Component::Client::Keepalive) (0.25 => 0.26)
- added a new req on perl(HTTP::Request) (version 1.3)
- added a new req on perl(HTTP::Response) (version 1.37)
- added a new req on perl(Net::HTTP::Methods) (version 0.02)
- added a new req on perl(POE) (version 1.007)
- altered req on perl(POE::Component::Client::Keepalive) (0.0901 => 0.26)
- added a new req on perl(URI) (version 1.24)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.88-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu May 21 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.88-1
- auto-update to 0.88 (by cpan-spec-update 0.01)
- altered br on perl(POE::Component::Client::Keepalive) (0.0901 => 0.25)
- altered br on perl(POE) (0.31 => 0.3202)
- altered br on perl(HTTP::Request) (1.30 => 1.3)
- added a new br on perl(Test::POE::Server::TCP) (version 0)
- added a new br on perl(Net::HTTP::Methods) (version 0.02)

* Sun Mar 22 2009 Robert Scheck <robert@fedoraproject.org> 0.85-3
- Disabled the network requiring test t/59_andy_one_keepalive.t

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.85-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Oct 26 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.85-1
- update to 0.85

* Tue Mar  4 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.82-2
- rebuild for new perl

* Sat Apr 21 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.82-1
- update to 0.82
- additional BR's for perl splittage
- nix dos2unix BR

* Thu Jan 04 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.80-2
- nix another text when not performing network-enabled tests

* Thu Jan 04 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.80-1
- update to 0.80

* Sun Oct 22 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.79-1
- update to 0.79-1
- add pod test modules to BR

* Tue Oct 03 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.78-1
- update to 0.78
- minor spec tweaks
- bump version BR on PoCo::Client::Keepalive to 0.0901 (tests fail otherwise)
- ...and add explicit requires on the above (the way POE loads its PoCo's irks
  me sometimes...)

* Thu Aug 31 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.77-3
- bump for mass rebuild

* Wed Aug 16 2006 Chris Weyl <cweyl@alumni.drew.edu>
- nixed t/10* due to mock build issues with reduced buildroot.  see BZ#202602.
  This fix does not warrant a rebuild.

* Thu Jul 27 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.77-2
- bump for build

* Thu Jul 27 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.77-1
- switched to the same _with_network_tests test as perl-POE-Component-IRC
- updated to 0.77

* Thu Jul 20 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.76-1
- bits snipped

* Thu Jul 13 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.76-0
- Initial spec file for F-E
